# 32/64bit spec-file
#
Name:           neonview
Version:        0.8.0
Release:        %mkrel 2

Summary:        NeonView
Group:          Graphics
License:        GPLv2
URL:            http://www.tuxarena.com/neonview/download/
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.png           
BuildRoot:      %{_tmppath}/%{version}-%{release}-buildroot
BuildRequires:  pkgconfig
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  make
Requires: 	%{_lib}gtk+3_0


%description
Free, lightweight image viewer for the Linux platform

%prep
%setup -q -n %{name}-%{version}


%build
%make 

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/%{_bindir}/
install -m 755 %{name} $RPM_BUILD_ROOT/%{_bindir}/

#desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=NeonView
Comment=Lightweight image viewer
Exec=%{name}
Icon=%{name}
Terminal=false
StartupNotify=false
Type=Application
Categories=Graphics;Utility;GTK;Viewer;X-MandrivaLinux-Multimedia-Graphics;
EOF

#icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 644 %SOURCE1 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png 

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc *.txt faq.html COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Mar 24 2013 pinoc <vogtpet at gmail.com> 0.8.0-2pclos2013
- fixed BR and R for 32/64

* Sat Mar 16 2013 Ken <lxgator@gmail.com> 0.8.0-pclos2013
- initial build
